Bug 521825 - Wrong return code in xfs init script (status)
Summary: Wrong return code in xfs init script (status)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-08 13:06 UTC by Tomas Pelka
Modified: 2018-04-11 15:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-09 11:02:06 UTC


Attachments (Terms of Use)

Description Tomas Pelka 2009-09-08 13:06:17 UTC
Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts xfs
init scipt status should return 0 after condrestart. 


Version-Release number of selected component (if applicable):
xorg-x11-xfs-1.0.5-6.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. service xfs start
2. service xfs stop
3. touch /var/lock/subsys/xfs
4. service xfs condrestart
5. service xfs status; echo $?
  
Actual results:
ret code 2

Expected results:
ret code 0

Additional info:

Comment 3 Matěj Cepl 2009-11-05 17:14:57 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Tomas Pelka 2009-11-09 11:02:06 UTC
Return code is OK now, thanks.

Closing


Note You need to log in before you can comment on or make changes to this bug.